/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */
package org.globus.exec.service.factory;

/**
 * An object of this class is instantiated and populated according to
 * information in the JNDI configuration of the service.
 */
public class FactoryServiceConfiguration {
    public FactoryServiceConfiguration() {
    }

    public String getManagedExecutableJobServicePath() {
        return this.managedExecutableJobServicePath;
    }

    public void setManagedExecutableJobServicePath(
        String                              managedExecutableJobServicePath)
    {
        this.managedExecutableJobServicePath = managedExecutableJobServicePath;
    }

    public String getManagedMultiJobServicePath() {
        return this.managedMultiJobServicePath;
    }

    public void setManagedMultiJobServicePath(
        String                              managedMultiJobServicePath) {
        this.managedMultiJobServicePath = managedMultiJobServicePath;
    }
    
    private String managedExecutableJobServicePath;
    private String managedMultiJobServicePath;

    //TODO other factory properties

    //or create a PropertiesFactory instead??
}
