/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */
package org.globus.exec.service.utils;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.globus.exec.utils.Resources;
import org.globus.util.I18n;

public class AuditDatabaseConfiguration
{
    private static Log logger =
        LogFactory.getLog(AuditDatabaseConfiguration.class);

    static I18n i18n = I18n.getI18n(Resources.class.getName());

    private String driverClass;
    private String url;
    private String user;
    private String password;
    private String globusVersion;

    public AuditDatabaseConfiguration() { }

    public String getDriverClass()
    {
        return this.driverClass;
    }

    public void setDriverClass(
        String                              driverClass)
    {
        this.driverClass = driverClass;
    }

    public String getUrl()
    {
        return this.url;
    }

    public void setUrl(
        String                              url)
    {
        this.url = url;
    }

    public String getUser()
    {
        return this.user;
    }

    public void setUser(
        String                              user)
    {
        this.user = user;
    }

    public String getPassword()
    {
        return this.password;
    }

    public void setPassword(
        String                              password)
    {
        this.password = password;
    }

    public String getGlobusVersion()
    {
        return this.globusVersion;
    }

    public void setGlobusVersion(
        String                              globusVersion)
    {
        this.globusVersion = globusVersion;
    }
}
