/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */
package org.globus.exec.service.job;

import org.globus.wsrf.PersistentResource;
import org.globus.wsrf.ResourceProperties;
import org.globus.wsrf.impl.DirtyFlagHolder;
import org.globus.wsrf.TopicListAccessor;
import org.globus.wsrf.ResourceException;

import javax.xml.namespace.QName;

import org.globus.exec.generated.TopicListenerDescriptionType;

public interface PersistentManagedJobResource extends ManagedJobResource,
                                                      PersistentResource,
                                                      DirtyFlagHolder,
                                                      TopicListAccessor
{
    public Object                         getWholeState();
    public Class                          getWholeStateType();
    public QName                          getWholeStateQName();
    public QName                          getResourcePropertiesQName();
}
